#!/usr/dist/pkgs/perl,v5.003/5bin.sun4/perl
######################################################################
# Sample script using the SNMP_SIMPLE module.
#
# The purpose of this script is to demonstrate the features of the
# SNMP_Simple perl module.  Explanations and sample code for most
# of the functions are given.
#
# This script assumes that it is in the same directory as all the
# modules, and that two parameters is passed in - the hostname to 
# query and the community string to do the query with.
#
######################################################################

require 5;
BEGIN {
    ($workdir) = ($0 =~ /(.*)\/.*/);
}
use lib ("$workdir/../lib");
use BER;
use SNMP_Session;
use SNMP_Simple;
use SNMP_MIB;

# Uncomment the below to turn on debug messages
#$SNMP_Simple::debug=1;

# Comment out the below to turn on warnings from the SNMP_Simple module
$SNMP_Simple::suppress_warnings=0;

# Comment out the below to turn on warnings from the SNMP_Session module
$SNMP_Session::suppress_warnings=0;

# The below initalizes the OID mappings for the SNMP_Simple library.
SNMP_MIB::loadmib("$workdir/../mibs", @ARGV);
SNMP_MIB::dump_names();
#SNMP_MIB::dump_oids();
#SNMP_MIB::dump_enums();

exit 0;
